/* colour palette */
:root {
  --main-body:#e7e7e7c7;
  --accent-light: #c3cde5;
  --accent-dark:#a7bef8;
  --shadow: 4px 3px rgba(168 178 202 / 0.9);
  --title-text: #89a5ec;
  --title-text-shadow: 2px 2px #a7bef8;
}

html {
  height: 100vh;
 }

body {
  background-image: url('/assets/images/bg-test.png'),
  		    url('/assets/mats/bg.gif');
  background-size: 90rem, cover;
  background-position: bottom right -3em, center;
  background-repeat: no-repeat, no-repeat;
  background-attachment: fixed, fixed;
  color: black;
  font-family: Verdana;
  font-size: 13px;
  height: 100vh;
  overflow: hidden;
}

.grid {
  display: grid;
  grid-template-columns: repeat(32, 1fr);
  grid-template-rows:  repeat(32, 1fr);
  height: 100%;
  gap: 2px; 
 }

/* margin stuff (sidebar, header, footer, etc.)  */

.header {
  grid-area: 1 / 1 / 1 / 33;
  overflow: hidden;
  margin: -8px
}


.sidebar {
  grid-area: 5 / 1 / 28 / 5;
  margin-left: -1rem;
  outline-style: dotted;
  outline-width: 2px;
  outline-offset: -1px;
  outline-color:#7F7493;
  min-height:0;
  min-width:0;
  background-color: #e7e7e7;/* #7BA2CB; */
  box-shadow: 4px 3px rgba(168 178 202 / 0.9); /* #a8b2ca old: #859ABE; */;
  z-index: 2;
  }

#navi-info {
  padding: 2rem;
  margin-left: 15px;
  }

#navi-list {
  display:flex;
  flex-direction:column;
  align-items: center;
  align-content: space-around;
  font-size: 24px;
  height: 50vh;
  width: 10em;
  gap:1em;
  margin: 0.3em;
  }

#navi-list a {
  display: inline-block;
  height: 2rem;
  width: 11rem;
  color: #89a5ec;
  text-shadow: 2px 2px #a7bef8;
  box-shadow: 0px 0px #89a5ec;
  text-decoration: none;
  text-align: center;
  letter-spacing: 5px;
  list-style-type: none;
  background-color:#c3cde5;
  transition: transform 0.4s ease, background-color 0.5s ease, color 0.2s ease, text-shadow 0.2s ease, box-shadow 0.6s ease;
}

#navi-list a:hover {
  color: #c3cde5;
  background-color: #a7bef8;
  text-shadow: 1px 2px #89a5ec;
  transform: translateY(-1px);
  box-shadow: 5px 10px 0 0 #89a5ec;
}

/* content stuff (stage, page specific) */

.content-stage {
  grid-area: 4 / 7 / 31 / 26;
  display:grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: repeat(12,1fr);
  min-height: 0;
  min-width: 0;
  overflow: auto;
  z-index:1;
 }

/* about */
  
.sub-box {
 background-color: var(--main-body);
 border: outset var(--accent-light);
 outline-style: dotted;
 outline-width: 1px;
 outline-color: black;
 border-radius: 1px;
 overflow: auto;
 grid-area: 1 / 1 / 9 / 9;
 padding: 4em 3em 3em 3em;
 margin-left:4rem;
 margin-top:1rem;
 margin-right: 2rem;
 scrollbar-width: none;
 overscroll-behavior: none;
 }

.abt-prose-cats {
 
}

.flip-list {
 margin-top: 2rem;
}

.title-bar-1 {
}
  
.button-box-i {
  grid-area: 13 / 8 / 9 / 1;
  margin-top: 2em;
  margin-bottom: 2rem;
  margin-left: 3rem;
  outline-style: dotted;
  background-color: var(--main-body);
  outline-width: 1px;
  outline-color: var(--accent-dark);
  overflow: auto;
 }

.tab-box {
  background-color: var(--main-body);
  outline-style: dotted;
  outline-width: 1px;
  outline-color: var(--accent-dark);
  grid-area: 3 / 9 / 10 / 12;
}

.interest-cats {
 grid-area: 2 / 9 / 2 / 12;
 outline-style: dotted;
 display:flex;
 align-self: end;
}

#int-cats {
  margin-top: 5px;
  mix-blend-mode: exclusion;
}

[hidden] { display: none; }

.abt-tab[aria-selected="true"],
.sub-tab[aria-selected="true"] {
	background: white;
	color: black;
}

/* journal / dev-log */

.frame {
  grid-area: 3 / 14 / 31 / 32;
  margin-top: -2rem; 
}

#reader {
  border-radius: 10px;
  display: block;
  overflow: hidden;
  border: 0;
  width: 100%;
  height: 100%;
  }


.observations {
  grid-area: 31 / 17 / 15 / 7;
  height: 100%;
  width: 100%;
  background-color: var(--main-body);
  border: outset var(--accent-light);
  outline-style: dotted;
  outline-width: 1px;
  outline-color: black;
  border-radius: 1px;
  overflow: auto;
 }
.observations h2 { margin-left: 1rem; }
.observations details { margin-left: 1rem; }
